# GoogleChartLabel Class Reference

Inheritance diagram for GoogleChartLabel:
[legend]

List of all members.

## Public Member Functions

| addLabel ($label)
| setLabels ($labels)
| getCount ()
| toString ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chl'
| $labels = array()

## Detailed Description

Definition at line 15 of file GoogleChartLabel.class.php.

## Member Function Documentation

GoogleChartLabel::addLabel | ( | $ | label | ) |

Returns:
  GoogleChartLabel

Definition at line 32 of file GoogleChartLabel.class.php.

static GoogleChartLabel::create | ( |  | ) | `[static]`

Returns:
  GoogleChartLabel

Reimplemented in GoogleChartAxisLabel.

Definition at line 24 of file GoogleChartLabel.class.php.

GoogleChartLabel::getCount | ( |  | ) |

Definition at line 49 of file GoogleChartLabel.class.php.

GoogleChartLabel::setLabels | ( | $ | labels | ) |

Returns:
  GoogleChartLabel

Definition at line 42 of file GoogleChartLabel.class.php.

References $labels.

GoogleChartLabel::toString | ( |  | ) |

Implements Stringable.

Reimplemented in GoogleChartAxisLabel.

Definition at line 54 of file GoogleChartLabel.class.php.

References $labels.

## Member Data Documentation

GoogleChartLabel::$labels = array()`[protected]`

Definition at line 19 of file GoogleChartLabel.class.php.

Referenced by setLabels(), toString(), and GoogleChartAxisLabel::toString().

GoogleChartLabel::$name = 'chl'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartLabel.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartLabel.class.php